[pypy-dev] which xml libraries? was (Re: PyPy 1.4 released)

Maciej Fijalkowski fijall at gmail.com
Sun Nov 28 11:09:25 CET 2010


On Sun, Nov 28, 2010 at 11:58 AM, René Dudfield <renesd at gmail.com> wrote:
> Hi,
>
> what xml libraries are people using with pypy?  What is working well?
>
> cu,

PyExpat works, although it's slow (ctypes-based implementation). I
know genshi has some troubles with it, someone is debugging now.
Besides I don't think there are any working (unless someone wrote a
pure-python one)

Cheers,
fijal

>
>
> On Sun, Nov 28, 2010 at 9:48 AM, Maciej Fijalkowski <fijall at gmail.com>
> wrote:
>>
>> Hey.
>>
>> On Sun, Nov 28, 2010 at 10:57 AM, Phyo Arkar <phyo.arkarlwin at gmail.com>
>> wrote:
>> > i got python-magic working , after i installed without easy_install
>> > (easy_install fail because it tried to install ctypes).
>>
>> great
>>
>> >
>> > Now what is not working is python-lxml , which is very important for my
>> > project.
>>
>> lxml won't work out of the box. if you think it's important enough,
>> you can try to port cython to generate something saner (right now what
>> it generates won't work on cpyext).
>>
>> Cheers,
>> fijal
>>
>> >
>> > here are the errors:
>> >
>> > Running lxml-2.3beta1/setup.py -q bdist_egg --dist-dir
>> > /tmp/easy_install-Gg3GRA/lxml-2.3beta1/egg-dist-tmp-bwUkM2
>> > Building lxml version 2.3.beta1.
>> > NOTE: Trying to build without Cython, pre-generated
>> > 'src/lxml/lxml.etree.c' needs to be available.
>> > Using build configuration of libxslt 1.1.26
>> > Building against libxml2/libxslt in the following directory: /usr/lib
>> > src/lxml/lxml.etree.c:75: error: conflicting types for ‘Py_buffer’
>> > /home/v3ss/pypy-1.4/include/object.h:19: note: previous declaration of
>> > ‘Py_buffer’ was here
>> >
>> >
>> > Had Anyone got lxml working in pypy successfully?
>> >
>> > On 11/27/10, Antonio Cuni <anto.cuni at gmail.com> wrote:
>> >> On 27/11/10 03:09, Phyo Arkar wrote:
>> >>> libmagic python fails to work on pypy (python-magic)
>> >>>
>> >>> it uses ctypes and easy-install try to download and instaill it , but
>> >>> it
>> >>> fails.
>> >>>
>> >>> how to enable ctypes on pypy?
>> >>
>> >> Hi Phyo,
>> >> ctypes *is* enabled on pypy by default.
>> >>
>> >> If python-magic does not work, it can either:
>> >>
>> >> 1) be a pypy bug: please report it as an issue (possibly with a simple
>> >> failing
>> >> test and the full traceack)
>> >>
>> >> 2) a python-magic issue, e.g. if it plays dirty ctypes trick that
>> >> cannot
>> >> really be supported by pypy due to the internal differences with
>> >> CPython
>> >>
>> >> ciao,
>> >> Anto
>> >>
>> > _______________________________________________
>> > pypy-dev at codespeak.net
>> > http://codespeak.net/mailman/listinfo/pypy-dev
>> >
>> _______________________________________________
>> pypy-dev at codespeak.net
>> http://codespeak.net/mailman/listinfo/pypy-dev
>
> _______________________________________________
> pypy-dev at codespeak.net
> http://codespeak.net/mailman/listinfo/pypy-dev
>



More information about the Pypy-dev mailing list